Index: cprs/branches/foia-cprs/CPRS-Chart/fEncnt.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/fEncnt.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/fEncnt.dfm	(revision 460)
@@ -1,11 +1,12 @@
 object frmEncounter: TfrmEncounter
-  Left = 302
-  Top = 180
+  Left = 481
+  Top = 242
+  Width = 470
+  Height = 450
+  Anchors = [akTop]
   BorderIcons = [biSystemMenu]
-  BorderStyle = bsDialog
   Caption = 'Provider & Location for Current Activities'
-  ClientHeight = 367
-  ClientWidth = 384
   Color = clBtnFace
+  Constraints.MinWidth = 470
   Font.Charset = DEFAULT_CHARSET
   Font.Color = clWindowText
@@ -15,10 +16,13 @@
   OldCreateOrder = True
   Position = poScreenCenter
+  Scaled = False
   OnClose = FormClose
   OnCreate = FormCreate
   OnDestroy = FormDestroy
+  OnResize = FormResize
+  OnShow = FormShow
   DesignSize = (
-    384
-    367)
+    462
+    423)
   PixelsPerInch = 96
   TextHeight = 13
@@ -38,9 +42,10 @@
     Tag = 9
     Left = 6
-    Top = 149
+    Top = 140
     Width = 93
     Height = 13
     Anchors = [akLeft, akBottom]
     Caption = 'Encounter Location'
+    Constraints.MinHeight = 12
   end
   object lblProvider: TLabel
@@ -51,198 +56,10 @@
     Caption = 'Encounter Provider'
   end
-  object cmdOK: TButton
-    Left = 306
+  object cboPtProvider: TORComboBox
+    Left = 6
     Top = 20
-    Width = 72
-    Height = 21
-    Caption = 'OK'
-    Default = True
-    TabOrder = 4
-    OnClick = cmdOKClick
-  end
-  object cmdCancel: TButton
-    Left = 306
-    Top = 49
-    Width = 72
-    Height = 21
-    Cancel = True
-    Caption = 'Cancel'
-    TabOrder = 5
-    OnClick = cmdCancelClick
-  end
-  object txtLocation: TCaptionEdit
-    Tag = 9
-    Left = 6
-    Top = 163
-    Width = 212
-    Height = 21
-    Anchors = [akLeft, akBottom]
-    Color = clBtnFace
-    ReadOnly = True
-    TabOrder = 1
-    Text = '< Select a location from the tabs below.... >'
-    Caption = 'Encounter Location'
-  end
-  object pgeVisit: TPageControl
-    Tag = 9
-    Left = 6
-    Top = 194
-    Width = 372
-    Height = 167
-    ActivePage = tabClinic
-    Anchors = [akLeft, akBottom]
-    TabIndex = 0
-    TabOrder = 2
-    OnChange = pgeVisitChange
-    object tabClinic: TTabSheet
-      Caption = 'Clinic Appointments'
-      object lblClinic: TLabel
-        Left = 4
-        Top = 4
-        Width = 127
-        Height = 13
-        Caption = 'Clinic Appointments / Visits'
-      end
-      object lblDateRange: TLabel
-        Left = 138
-        Top = 4
-        Width = 71
-        Height = 13
-        Caption = '(T-30 thru T+1)'
-      end
-      object lstClinic: TORListBox
-        Left = 4
-        Top = 18
-        Width = 352
-        Height = 117
-        ItemHeight = 13
-        ParentShowHint = False
-        ShowHint = True
-        TabOrder = 0
-        OnDblClick = cmdOKClick
-        Caption = 'Clinic Appointments / Visits (T-30 thru T+1)'
-        ItemTipColor = clWindow
-        LongList = False
-        Pieces = '3,2,4'
-        TabPositions = '20'
-        OnChange = lstClinicChange
-      end
-    end
-    object tabAdmit: TTabSheet
-      Caption = 'Hospital Admissions'
-      object lblAdmit: TLabel
-        Left = 4
-        Top = 4
-        Width = 93
-        Height = 13
-        Caption = 'Hospital Admissions'
-      end
-      object lstAdmit: TORListBox
-        Left = 4
-        Top = 18
-        Width = 352
-        Height = 117
-        ItemHeight = 13
-        ParentShowHint = False
-        ShowHint = True
-        TabOrder = 0
-        OnDblClick = cmdOKClick
-        Caption = 'Hospital Admissions'
-        ItemTipColor = clWindow
-        LongList = False
-        Pieces = '3,5,4'
-        TabPositions = '20'
-        OnChange = lstAdmitChange
-      end
-    end
-    object tabNewVisit: TTabSheet
-      Caption = 'New Visit'
-      object lblVisitDate: TLabel
-        Left = 220
-        Top = 4
-        Width = 85
-        Height = 13
-        Caption = 'Date/Time of Visit'
-        Visible = False
-      end
-      object lblNewVisit: TLabel
-        Left = 4
-        Top = 4
-        Width = 63
-        Height = 13
-        Caption = 'Visit Location'
-      end
-      object calVisitDate: TORDateBox
-        Left = 220
-        Top = 18
-        Width = 140
-        Height = 21
-        TabOrder = 1
-        Text = 'NOW'
-        OnChange = calVisitDateChange
-        OnExit = calVisitDateExit
-        DateOnly = False
-        RequireTime = True
-      end
-      object ckbHistorical: TORCheckBox
-        Left = 220
-        Top = 50
-        Width = 140
-        Height = 81
-        Caption = 
-          'Historical Visit: a visit that occurred at some time in the past' +
-          ' or at some other location (possibly non-VA) but is not used for' +
-          ' workload credit.'
-        ParentShowHint = False
-        ShowHint = True
-        TabOrder = 2
-        OnClick = ckbHistoricalClick
-        WordWrap = True
-        AutoSize = True
-      end
-      object cboNewVisit: TORComboBox
-        Left = 4
-        Top = 18
-        Width = 208
-        Height = 117
-        Style = orcsSimple
-        AutoSelect = True
-        Caption = 'Visit Location'
-        Color = clWindow
-        DropDownCount = 8
-        ItemHeight = 13
-        ItemTipColor = clWindow
-        ItemTipEnable = True
-        ListItemsOnly = True
-        LongList = True
-        LookupPiece = 0
-        MaxLength = 0
-        Pieces = '2'
-        Sorted = False
-        SynonymChars = '<>'
-        TabOrder = 0
-        OnChange = cboNewVisitChange
-        OnDblClick = cmdOKClick
-        OnNeedData = cboNewVisitNeedData
-        CharsNeedMatch = 1
-      end
-    end
-  end
-  object cmdDateRange: TButton
-    Tag = 9
-    Left = 288
-    Top = 177
-    Width = 90
-    Height = 21
-    Anchors = [akLeft, akBottom]
-    Caption = 'Date Range...'
-    TabOrder = 3
-    OnClick = cmdDateRangeClick
-  end
-  object cboPtProvider: TORComboBox
-    Left = 6
-    Top = 20
-    Width = 292
+    Width = 331
     Height = 117
+    Anchors = [akLeft, akTop, akRight, akBottom]
     Style = orcsSimple
     AutoSelect = True
@@ -265,4 +82,236 @@
     CharsNeedMatch = 1
   end
+  object cmdDateRange: TButton
+    Tag = 9
+    Left = 266
+    Top = 153
+    Width = 84
+    Height = 25
+    Anchors = [akLeft, akBottom]
+    Caption = 'Date Range...'
+    Constraints.MinHeight = 21
+    Constraints.MinWidth = 21
+    TabOrder = 2
+    OnClick = cmdDateRangeClick
+  end
+  object txtLocation: TCaptionEdit
+    Tag = 9
+    Left = 6
+    Top = 154
+    Width = 258
+    Height = 21
+    Anchors = [akLeft, akBottom]
+    AutoSize = False
+    Color = clBtnFace
+    Constraints.MinHeight = 21
+    ReadOnly = True
+    TabOrder = 1
+    Text = '< Select a location from the tabs below.... >'
+    Caption = 'Encounter Location'
+  end
+  object cmdCancel: TButton
+    Left = 341
+    Top = 45
+    Width = 84
+    Height = 23
+    Anchors = [akTop, akRight]
+    Cancel = True
+    Caption = 'Cancel'
+    Constraints.MinHeight = 21
+    Constraints.MinWidth = 21
+    TabOrder = 4
+    OnClick = cmdCancelClick
+  end
+  object cmdOK: TButton
+    Left = 340
+    Top = 20
+    Width = 84
+    Height = 23
+    Anchors = [akTop, akRight]
+    Caption = 'OK'
+    Constraints.MinHeight = 21
+    Constraints.MinWidth = 21
+    Default = True
+    TabOrder = 3
+    OnClick = cmdOKClick
+  end
+  object Panel1: TPanel
+    Left = 0
+    Top = 179
+    Width = 460
+    Height = 243
+    Anchors = [akLeft, akRight, akBottom]
+    TabOrder = 6
+    DesignSize = (
+      460
+      243)
+    object pgeVisit: TPageControl
+      Tag = 9
+      Left = 4
+      Top = 5
+      Width = 452
+      Height = 232
+      ActivePage = tabNewVisit
+      Anchors = [akLeft, akTop, akRight, akBottom]
+      Constraints.MinHeight = 150
+      RaggedRight = True
+      TabIndex = 2
+      TabOrder = 0
+      OnChange = pgeVisitChange
+      object tabClinic: TTabSheet
+        Caption = 'Clinic Appointments'
+        object lstClinic: TORListBox
+          Left = 0
+          Top = 20
+          Width = 444
+          Height = 184
+          Align = alClient
+          Constraints.MinHeight = 21
+          ItemHeight = 13
+          ParentShowHint = False
+          ScrollWidth = 353
+          ShowHint = True
+          TabOrder = 0
+          OnDblClick = cmdOKClick
+          Caption = 'Clinic Appointments / Visits (T-30 thru T+1)'
+          ItemTipColor = clWindow
+          LongList = False
+          Pieces = '3,2,4'
+          TabPositions = '30,50'
+          OnChange = lstClinicChange
+        end
+        object Panel2: TPanel
+          Left = 0
+          Top = 0
+          Width = 444
+          Height = 20
+          Align = alTop
+          TabOrder = 2
+          object lblDateRange: TLabel
+            Left = 138
+            Top = 4
+            Width = 71
+            Height = 13
+            Caption = '(T-30 thru T+1)'
+          end
+          object lblClinic: TLabel
+            Left = 4
+            Top = 4
+            Width = 127
+            Height = 13
+            Caption = 'Clinic Appointments / Visits'
+          end
+        end
+      end
+      object tabAdmit: TTabSheet
+        Caption = 'Hospital Admissions'
+        object lstAdmit: TORListBox
+          Left = 0
+          Top = 17
+          Width = 444
+          Height = 187
+          Align = alClient
+          ItemHeight = 13
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 0
+          OnDblClick = cmdOKClick
+          Caption = 'Hospital Admissions'
+          ItemTipColor = clWindow
+          LongList = False
+          Pieces = '3,5,4'
+          TabPositions = '20'
+          OnChange = lstAdmitChange
+        end
+        object Panel3: TPanel
+          Left = 0
+          Top = 0
+          Width = 444
+          Height = 17
+          Align = alTop
+          TabOrder = 2
+          object lblAdmit: TLabel
+            Left = 4
+            Top = 1
+            Width = 93
+            Height = 13
+            Caption = 'Hospital Admissions'
+          end
+        end
+      end
+      object tabNewVisit: TTabSheet
+        Caption = 'New Visit'
+        object lblVisitDate: TLabel
+          Left = 220
+          Top = 4
+          Width = 85
+          Height = 13
+          Caption = 'Date/Time of Visit'
+          Visible = False
+        end
+        object lblNewVisit: TLabel
+          Left = 4
+          Top = 4
+          Width = 63
+          Height = 13
+          Caption = 'Visit Location'
+        end
+        object calVisitDate: TORDateBox
+          Left = 220
+          Top = 18
+          Width = 140
+          Height = 21
+          TabOrder = 1
+          Text = 'NOW'
+          OnChange = calVisitDateChange
+          OnExit = calVisitDateExit
+          DateOnly = False
+          RequireTime = True
+        end
+        object ckbHistorical: TORCheckBox
+          Left = 220
+          Top = 50
+          Width = 140
+          Height = 81
+          Caption = 
+            'Historical Visit: a visit that occurred at some time in the past' +
+            ' or at some other location (possibly non-VA) but is not used for' +
+            ' workload credit.'
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 2
+          OnClick = ckbHistoricalClick
+          WordWrap = True
+          AutoSize = True
+        end
+        object cboNewVisit: TORComboBox
+          Left = 4
+          Top = 18
+          Width = 208
+          Height = 117
+          Style = orcsSimple
+          AutoSelect = True
+          Caption = 'Visit Location'
+          Color = clWindow
+          DropDownCount = 8
+          ItemHeight = 13
+          ItemTipColor = clWindow
+          ItemTipEnable = True
+          ListItemsOnly = True
+          LongList = True
+          LookupPiece = 0
+          MaxLength = 0
+          Pieces = '2'
+          Sorted = False
+          SynonymChars = '<>'
+          TabOrder = 0
+          OnChange = cboNewVisitChange
+          OnDblClick = cmdOKClick
+          OnNeedData = cboNewVisitNeedData
+          CharsNeedMatch = 1
+        end
+      end
+    end
+  end
   object dlgDateRange: TORDateRangeDlg
     DateOnly = True
